package com.zd.laboratory.domain.bigview;

import com.zd.common.core.echarts.EchartsData;
import com.zd.common.core.enums.SenseStateEnum;
import com.zd.common.core.enums.SenseType;

/**
 * 传感器状态统计
 *
 * @Author: zhoupan
 * @Date: 2021/09/13/10:55
 * @Description:
 */
public class HazardTotal implements EchartsData<Long> {

    /**
     * 危险源名称
     */
    String name;


    /**
     * 总量
     */
    Long total;

    @Override
    public String axisData() {
        return name;
    }

    @Override
    public String legendData() {
        return null;
    }

    @Override
    public Long dataValue() {
        return total;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }
}
